import { defineComponent, provide } from 'vue';

import UserService from '@/entities/user/user.service';

import AuditLogService from './audit-log/audit-log.service';
import ConfermaService from './conferma/conferma.service';
import DisponibilitaService from './disponibilita/disponibilita.service';
import LiberatoriaService from './liberatoria/liberatoria.service';
import MessaggioService from './messaggio/messaggio.service';
import ModelloLiberatoriaService from './modello-liberatoria/modello-liberatoria.service';
import NotificaService from './notifica/notifica.service';
import PrenotazioneService from './prenotazione/prenotazione.service';
import StrutturaService from './struttura/struttura.service';
import UtenteAppService from './utente-app/utente-app.service';
// jhipster-needle-add-entity-service-to-entities-component-import - JHipster will import entities services here

export default defineComponent({
  name: 'Entities',
  setup() {
    provide('userService', () => new UserService());
    provide('auditLogService', () => new AuditLogService());
    provide('disponibilitaService', () => new DisponibilitaService());
    provide('notificaService', () => new NotificaService());
    provide('prenotazioneService', () => new PrenotazioneService());
    provide('confermaService', () => new ConfermaService());
    provide('strutturaService', () => new StrutturaService());
    provide('utenteAppService', () => new UtenteAppService());
    provide('liberatoriaService', () => new LiberatoriaService());
    provide('modelloLiberatoriaService', () => new ModelloLiberatoriaService());
    provide('messaggioService', () => new MessaggioService());
    // jhipster-needle-add-entity-service-to-entities-component - JHipster will import entities services here
  },
});
